Skip to main content
GET
/
insights
/
fans
/
{userUuid}
Get fan insights
curl --request GET \
  --url https://api.fanvue.com/insights/fans/{userUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>'
{
  "status": "subscriber",
  "spending": {
    "lastPurchaseAt": "2024-01-14T00:00:00.000Z",
    "total": {
      "gross": 27700,
      "total": 27700
    },
    "maxSinglePayment": {
      "gross": 5000,
      "total": 5000
    },
    "sources": {
      "message": {
        "gross": 15000,
        "total": 15000
      },
      "post": {
        "gross": 8500,
        "total": 8500
      },
      "referral": {
        "gross": 4200,
        "total": 4200
      }
    }
  },
  "subscription": {
    "createdAt": "2024-01-01T12:00:00.000Z",
    "renewsAt": "2024-02-01T00:00:00.000Z",
    "autoRenewalEnabled": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

userUuid
string<uuid>
required

Fan's UUID

Response

Fan insights data

status
enum<string>
required

Current fan status

Available options:
subscriber,
expired,
follower,
not_contactable
spending
object
required
subscription
object
required